import { Service } from '@/Service/Service';
/*****腾讯云存储*****/
class NvpTencentCosService {
	private static GetAuthorizationPath: string = '/TencentCos/GetAuthorization';
	/*****获取云存储配置*****/
	static GetAuthorization() {
		var result = Service.Request(this.GetAuthorizationPath, "GET", "");
		return result;
	}

	private static GetUpLoadInfoPath: string = '/TencentCos/GetUpLoadInfo';
	/*****获取上传地址*****/
	static GetUpLoadInfo(code: string, fileName: string, desire: string) {
		var result = Service.Request(this.GetUpLoadInfoPath, "GET", { code, fileName, desire });
		return result;
	}

}
export {
	Service,
	NvpTencentCosService
}
